%------------------------------------------------------------------------------
% File     : <For TPTP use only>
% Domain   : <The domain of the problem, from the TPTP domains>
% Problem  : Moore-Penrose inverses are uniquely determined provided they exist. (Lemma 9.5.8 of [Schmidt07])
% Version  : 
% English  : relation algebra

% Refs     : 
% Source   : 
% Names    : 

% Status   : <CNF: Tautology, Satisfiable, Unsatisfiable, Open, or Unknown>
%            <FOF: Theorem, CounterSatisfiable, Satisfiable, Unsatisfiable,
%             Open, or Unknown>
% Rating   : <Don't worry about this one - we'll do it automatically>
% Syntax   : <Don't worry about this one - we'll do it automatically>
% Comments : 
%------------------------------------------------------------------------------
%---Include relation algebra axioms
include('/opt/hoefnepe/kleene/TPTPWorld/TPTPconvert/Axioms/RA.ax').
%--------------------------------------------------------------------------
fof(goals,conjecture,(
    ! [X0,X1,X2] : 
      ( ( composition(composition(X0,X1),X0) = X0
        & composition(composition(X1,X0),X1) = X1
        & converse(composition(X0,X1)) = composition(X0,X1)
        & converse(composition(X1,X0)) = composition(X1,X0)
        & composition(composition(X0,X2),X0) = X0
        & composition(composition(X2,X0),X2) = X2
        & converse(composition(X0,X2)) = composition(X0,X2)
        & converse(composition(X2,X0)) = composition(X2,X0) )
     => X1 = X2 ) )).
