%------------------------------------------------------------------------------
% File     : <For TPTP use only>
% Domain   : <The domain of the problem, from the TPTP domains>
% Problem  : a classical refinement law
% Version  : 
% English  : demonic refinement algebra

% Refs     : 
% Source   : 
% Names    : 

% Status   : <CNF: Tautology, Satisfiable, Unsatisfiable, Open, or Unknown>
%            <FOF: Theorem, CounterSatisfiable, Satisfiable, Unsatisfiable,
%             Open, or Unknown>
% Rating   : <Don't worry about this one - we'll do it automatically>
% Syntax   : <Don't worry about this one - we'll do it automatically>
% Comments : 
%------------------------------------------------------------------------------
%---Include demonic refinement algebra axioms
include('/opt/hoefnepe/kleene/TPTPWorld/TPTPconvert/Axioms/DRA.ax').
%--------------------------------------------------------------------------
fof(goals,conjecture,(
    ! [X0,X1,X2,X3,X4,X5,X6,X7] : 
      ( ( leq(X0,multiplication(X1,X2))
        & leq(multiplication(X2,X3),X4)
        & leq(multiplication(X2,X5),multiplication(X6,X2))
        & leq(multiplication(X2,X7),X2)
        & star(X7) = strong_iteration(X7) )
     => leq(multiplication(multiplication(X0,strong_iteration(addition(X5,X7))),X3),multiplication(multiplication(X1,strong_iteration(X6)),X4)) ) )).
