%------------------------------------------------------------------------------
% File     : <For TPTP use only>
% Domain   : <The domain of the problem, from the TPTP domains>
% Problem  : Backs Atomicity Refinement Theory (part II)
% Version  : 
% English  : demonic refinement algebra

% Refs     : 
% Source   : 
% Names    : 

% Status   : <CNF: Tautology, Satisfiable, Unsatisfiable, Open, or Unknown>
%            <FOF: Theorem, CounterSatisfiable, Satisfiable, Unsatisfiable,
%             Open, or Unknown>
% Rating   : <Don't worry about this one - we'll do it automatically>
% Syntax   : <Don't worry about this one - we'll do it automatically>
% Comments : 
%------------------------------------------------------------------------------
%---Include demonic refinement algebra axioms
include('/opt/hoefnepe/kleene/TPTPWorld/TPTPconvert/Axioms/DRA.ax').
%--------------------------------------------------------------------------
fof(goals,conjecture,(
    ! [X0,X1,X2,X3,X4,X5] : 
      ( ( leq(X0,multiplication(X0,X1))
        & leq(X2,multiplication(X1,X2))
        & multiplication(X1,X3) = zero
        & leq(multiplication(addition(addition(X2,X3),X4),X5),multiplication(X5,addition(addition(X2,X3),X4)))
        & leq(multiplication(X1,X5),multiplication(X5,X1))
        & leq(multiplication(X4,X3),multiplication(X3,X4))
        & leq(multiplication(X4,X1),multiplication(X1,X4))
        & star(X4) = strong_iteration(X4)
        & leq(X1,one) )
     => leq(multiplication(multiplication(multiplication(multiplication(multiplication(X0,strong_iteration(X5)),X1),strong_iteration(X4)),X1),strong_iteration(multiplication(multiplication(multiplication(X2,strong_iteration(X3)),X1),strong_iteration(X4)))),multiplication(X0,strong_iteration(addition(addition(multiplication(multiplication(X2,strong_iteration(X3)),X1),X4),X5)))) ) )).
